=== debian/changelog ===
protozero (1.7.1-1) UNRELEASED; urgency=medium

  * update

 -- Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>  Wed, 22 Jun 2022 15:14:42 +0800

protozero (1.7.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update doc-base paths.
  * Update copyright file.
  * Refresh patches.

  [ Helmut Grohne ]
  * Annotate test dependencies on protobuf <!nocheck>.
    (closes: #981605)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Jan 2022 05:53:24 +0100
