=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Verbose make output
export VERBOSE=1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build

	# Remove useless autogenerated doxygen files
	$(RM) obj-*/doc/html/*.md5

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
