=== debian/changelog ===
protozero (1.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jan 2025 07:38:23 +0100

protozero (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Add Rules-Requires-Root to control file.
  * Bump debhelper compat to 13.
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Replace pkg-config build dependency with pkgconf.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jan 2025 05:33:36 +0100
