=== debian/changelog ===
protozero (1.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Jul 2025 06:53:54 +0200

protozero (1.8.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Jul 2025 12:48:27 +0200

protozero (1.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Jul 2025 12:44:43 +0200
