=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libprotobuf-dev <!nocheck>,
                protobuf-compiler <!nocheck>,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/protozero/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/protozero.git -b bookworm-backports
 Homepage: https://github.com/mapbox/protozero
