=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	dh_auto_build
-
+execute_after_dh_auto_build:
 	# Remove useless autogenerated doxygen files
 	$(RM) obj-*/doc/html/*.md5
